<div class="control-section">
    <div id="modalTarget" #targetModal>
        <div class='container pb-5 pt-2 ml-0'>
            <div class='container pb-5 pt-2 form-group ml-0'>
                <form #form="ngForm">
                    <div class="form-group form-group-lg">
                        <label>{{inputContent?.Name}} <span class="required">*</span></label>
                        <input type="text" style="width:50%" class="form-control" #nameval='ngModel' required
                            name='filename' [(ngModel)]="filename">
                        <div *ngIf="(nameval.invalid && (nameval.dirty || nameval.touched))">
                            <div class="e-error" *ngIf="nameval.errors.required">
                                    {{inputContent?.NameRequired}} 
                            </div>
                        </div>
                    </div>
                    <div class="form-group form-group-lg">
                        <label>{{inputContent?.Description}} <span class="required">*</span></label>
                        <textarea type="text" style="width:50%" class="form-control" #desvar='ngModel' required
                            name='description' [(ngModel)]="description"></textarea>
                        <div *ngIf="(desvar.invalid && (desvar.dirty || desvar.touched))">
                            <div class="e-error" *ngIf="desvar.errors.required">
                                {{inputContent?.DescriptionRequired}}
                            </div>
                        </div>
                    </div>
                 
                    <div>
                        <Label>{{inputContent?.SelectFileAdapters}} <span class="required">*</span></Label><br>
                        <!-- Render Button to open the modal Dialog -->
                        <button ejs-button id='modalbtn'  class="btn  btn-sm m-1 sec-btn" #modalButton
                            (click)="modalBtnClick()">{{inputContent?.Open}}</button>
                    </div>
                    <ejs-chiplist id="chipold" #chipold [chips]="adapterlistold" [enableDelete]="false" ></ejs-chiplist>
                    <ejs-chiplist id="chip" #chip [chips]="adapterlist" [enableDelete]="true" (delete)="onDelete($event)"></ejs-chiplist>
                </form>
                <!-- _____________________________________________ Modal start(SyncFusion) ________________________________________________________ -->

                <!-- Render modal Dialog -->
                <ejs-dialog id="modalDialog" #modalDialog [isModal]='isModal' header='{{inputContent?.SelectFileAdapters}}' [target]='target'
                    width=1100 [buttons]='buttons' [animationSettings]='animationSettings' (open)="modalDlgOpen()"
                    (close)="modalDlgClose()" [visible]='false' [showCloseIcon]='true'>
                    <!-- ____________________________________________ Grid View(inside modal content) ________________________________________________________ -->
                    <div class='row'>
                        <div class='col-9'>
                            <ejs-grid #grid  [allowSelection]="true" [dataSource]='Store_Tables' (rowSelected)='rowSelected($event)'
                                 [enablePersistence]="true" [toolbar]='toolbarOptions'  (rowDeselected)='rowDeselected($event)'  
                                 [selectionSettings]="selectOptions" (rowDeselecting)="rowDeselecting($event)">
                                
                                <e-columns>
                                    <e-column type="checkbox" width="50"></e-column>
                                    <e-column field='name'  isPrimaryKey="true" headerText='{{inputContent?.TableName}}' width=100></e-column>
                                    <e-column field='description' headerText="{{inputContent?.Description}}" width=100></e-column>
                                    <e-column field='schema' headerText='{{inputContent?.Schema}}' width=100></e-column>
                                    <e-column field='layer' headerText='{{inputContent?.Layer}}' width=100></e-column>
                                </e-columns>
                            </ejs-grid>
                        </div>
                        <div class='col-3 mt-2'>
                            <h6 style="font-size: 14px; font-family: 'Open Sans'; font-weight: 600;">{{inputContent?.Selected}}</h6>
                            <ejs-chiplist id="chipold1" #chipold1 [chips]="adapterlistold" [enableDelete]="false"></ejs-chiplist>
                            <ejs-chiplist id="chip1" #chip1 [chips]="adapterlist" [enableDelete]="true"  (delete)="onDelete($event)" ></ejs-chiplist>
                        </div>
                    </div>
                </ejs-dialog>
<!-- ____________________________________________ Grid View(inside modal content)End ________________________________________________________ -->
<!-- ____________________________________Show Create and next ____________________________________ -->
                <div>
                    <button ejs-button class="btn  btn-sm mr-1 ml-1 mt-2 sec-btn"
                        [disabled]="form.invalid || !adapterlist || !adapterlistold || adapterlist.concat(adapterlistold).length == 0"
                        (click)="submitdata() ">{{wfId ? inputContent?.Next : inputContent?.Create}}</button>
                </div>
    
            </div>
        </div>
    </div>
</div>
<!-- _________________________________________________ Modal End(SyncFusion)End ________________________________________________________ -->